package com.weavi.service;

import com.weavi.entity.Userinfo;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

@Service
public interface UserService {

    public void findUserById(int userId);

    public Userinfo findUserByAccount(String account);

    public Map<String, Object> addUser(Userinfo userinfo, HttpServletRequest request);

}
